@import url('https://fonts.googleapis.com/css?family=Special+Elite');


* {
box-sizing: border-box;
}

body {
 color: #111111;
 margin: 0;
 padding: 0;
 font-family: 'Special Elite', cursive;
 background-image: url('./../images/typewriter.jpg');
}

.container {
  display: flex;
  flex-flow: row wrap;
  height: 100vh;
}

.body-box {
  margin: 3em auto;
  padding: 2em;
  background-color: rgba(255, 255, 255, .9);
  width: 70%;
}

.index-bb {
  display: flex;
  flex-direction: row;
  justify-content: center;
  font-size: 2em;
}

.index-bb a:hover {
  border-bottom: 2px solid #111111;
  transition: none;
}

nav {
  width: 25%;
  background-color: rgba(0, 0, 0, .8);
  text-align: center;
  padding: 1vw;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  min-height: 630px;
  overflow: auto;
}

nav h1 {
  font-size: 1.5em;
  color: white;
}

nav a {
  text-decoration: none;
}

/* #professional-launch, #educational-launch {
  margin: 0 5%;
  cursor: pointer;
} */

#educational-launch {
  margin: 0 5%;
  cursor: pointer;
}

.preview {
  max-width: 80%;
  max-height: 40%;
  display: block;
  margin: 2% auto;
  margin-bottom: 5%;
  box-shadow: 5px 5px 10px #888888;
}

#text-bio {
  margin-top: 5%;
  display: flex;
  flex-direction: column;
}

.title {
  color: white;
}

.logo {
  color: white;
  font-size: 2.5em;
  padding: 0;
  margin: 0 auto;
  margin-bottom: 5%;
  margin-top: 5%;
  overflow: hidden;
  white-space: nowrap;
  letter-spacing: .05em;

  animation: typing 2.5s steps(40, end);
}

.tag {
  margin-left: 1%;
  padding: 1.5%;
  color: #111111;
  background-color: darkgray;
  border-radius: 50px;
  font-size: .5em;
}

.tag a {
  color: white;
}

.tag a:hover {
  color: #111111;
}

.tag-box {
  text-align: right;
  margin-top: 1%;

}

.bio {
  padding: 1vh 1vw;
  font-size: .75em;
  color: white;
}

main {
  width: 75%;
  margin: 0 auto;
}

main h1 {
  margin: 0;
  overflow: hidden;
  white-space: nowrap;
  letter-spacing: .05em;
}

main a {
  color: #111111;
  text-decoration: none;
}

#games-launch:hover, #apps-launch:hover, #pages-launch:hover, .fa-reply:hover {
  color: dimgray;
  text-decoration: none;
  transition: .5s ease-in;
  cursor: pointer;
}

.photo {
  max-width: 50%;
  border-radius: 500px;
  border: 5px solid white;
}

.social {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  margin-top: 25%;
}

.social a {
  color: dimgray;
}

.social a:hover {
  color: gray;
}

.project {
  width: 90%;
  margin: 3vh auto;
}

p {
  font-size: .85em;
}

.description {
  text-align: justify;
  display: none;
  animation: fade 2.5s;
  opacity: 1;
}

#education-note {
  font-size: 50%;
  text-align: center;
  margin-top: 5%;
}

/*ANIMATIONS*/

@keyframes fade {
  0% { opacity: 0 }
  100% { opacity: 1 }
}

@keyframes typing {
  from { width: 0 }
  to { width: 100% }
}

#creativejuices-header, #colorthes-header, #connectfour-header, #perfectexcuse-header, #beerswall-header, #disneyvault-header, #lyrics-header, #notable-header, #landscaper-header, #vvdc-header, #loremroses-header, #rgb-header, #yelpcamp-header, #patatap-header, #wonderland-header, #rogers-header, #slotify-header, #social-header, #warbler-header {
  animation: typing 7s steps(80, end);
  width: 0;
  animation-fill-mode: forwards;
}

/*PROFESSIONAL*/
#rogers-header {
  animation-delay: .5s;
}

/*EDUCATIONAL*/
#lyrics-header {
  animation-delay: .25s;
}
#connectfour-header {
  animation-delay: .5s;
}
#landscaper-header {
  animation-delay: .75s;
}
#disneyvault-header {
  animation-delay: 1s;
}
#colorthes-header {
  animation-delay: 1.25s;
}
#yelpcamp-header {
  animation-delay: 1.5s;
}
#beerswall-header {
  animation-delay: 1.75s;
}
#notable-header {
  animation-delay: 2s;
}
#perfectexcuse-header {
  animation-delay: 2.25s;
}
#creativejuices-header {
  animation-delay: 2.5s;
}
#rgb-header {
  animation-delay: 2.75s;
}
#patatap-header {
  animation-delay: 3s;
}
#wonderland-header {
  animation-delay: 3.25s;
}
#slotify-header {
  animation-delay: 3.5s;
}
#social-header {
  animation-delay: 3.75s;
}
#warbler-header {
  animation-delay: 4s;
}
#loremroses-header {
  animation-delay: 4.25s;
}
#vvdc-header {
  animation-delay: 4.5s;
}



/*RESPONSIVE*/

@media (max-width: 880px) {
  .title {
    font-size: 14px;
  }
}

@media (max-width: 780px) {
  .container {
    display: block;
  }
  nav {
    width: 100%;
    margin: 0;
    padding: 0;
    min-height: 0;
  }
  nav h1 {
    font-size: 20px;
    margin: 2% 0 0 -6%;
  }
  nav div {
    margin: 0;
  }
  nav .social {
    margin-top: 2%;
    margin-bottom: 2%;
  }
  main {
    width: 100%;
    display: block;
  }
  main .project{
    width: 90%;
    display: block;
    margin: 5% auto;
    margin-bottom: 8%;
  }
  .photo {
    width: 25%;
    height: 25%;
    margin: 2% 0 0 0;
  }
  .bio {
    padding: 1vh 5vw;
  }
  .body-box {
    width: 90%;
  }
  .tag {
    padding: 2%;
  }
  .tag-box {
    margin-top: 3%;
  }
  #name {
    display: flex;
    justify-content: space-around;
    align-items: center;
  }
  .logo {
    margin: 2% 0 0 0;
    animation: none !important;
  }
}

@media (max-width: 667px) {
  #creativejuices-header, #colorthes-header, #connectfour-header, #perfectexcuse-header, #beerswall-header, #disneyvault-header, #lyrics-header, #notable-header, #landscaper-header, #vvdc-header, #loremroses-header, #rgb-header, #yelpcamp-header, #patatap-header, #wonderland-header, #rogers-header, #slotify-header, #social-header, #warbler-header   {
    animation: none !important;
    display: inherit !important;
  }
  .description {
    display: inherit;
  }
  .tag {
    padding: 1.1%;
  }
  .body-box {
    flex-direction: column;
    align-items: center;
    width: 75%;
    padding: 5%;
  }
}

@media (max-width: 600px) {
  #name {
    display: inline;
  }
  nav h1 {
    margin: 2% 0 0 0;
  }
  nav .social {
    font-size: 25px;
    margin-bottom: 5%;
  }
}

@media (max-width: 500px) {
  .photo {
    max-width: 40%;
  }
  .logo {
    font-size: 1.5em;
  }
  nav h1 {
    font-size: 1em;
  }
  #text-bio {
    font-size: .5em;
  }
  nav .social {
    font-size: 20px;
    margin-bottom: 5%;
  }
  main h1 {
    font-size: 16px;
  }
  .preview {
    margin-bottom: 10%;
  }
}
